## wireplumber 0.4.2

=== meson_options.txt ===
option('introspection', type : 'feature', value : 'auto',
       description : 'Generate gobject-introspection bindings')
option('doc', type : 'feature', value : 'auto',
       description: 'Enable documentation.')
option('system-lua', type : 'boolean', value : 'false',
       description : 'Use lua from the system instead of the bundled one')
option('system-lua-version',
       type: 'string', value : 'auto',
       description: 'The system lua version to use or "auto" for auto-detection')
option('systemd',
       type: 'feature', value: 'auto',
       description: 'Enable installing systemd units')
option('systemd-system-service',
       type : 'boolean', value : false,
       description: 'Install systemd system service file')
option('systemd-user-service',
       type : 'boolean', value : true,
       description: 'Install systemd user service file')
option('systemd-system-unit-dir',
       type : 'string',
       description : 'Directory for system systemd units')
option('systemd-user-unit-dir',
       type : 'string',
       description : 'Directory for user systemd units')
option('glib-supp', type : 'string', value : '',
       description: 'The glib.supp valgrind suppressions file to be used when running valgrind')

## wireplumber 0.4.8

=== meson_options.txt ===
--- 
+++ 
@@ -7,9 +7,12 @@
 option('system-lua-version',
        type: 'string', value : 'auto',
        description: 'The system lua version to use or "auto" for auto-detection')
+option('elogind',
+	type: 'feature', value : 'auto',
+	description: 'Enable elogind integration')
 option('systemd',
        type: 'feature', value: 'auto',
-       description: 'Enable installing systemd units')
+       description: 'Enable installing systemd units & logind integration')
 option('systemd-system-service',
        type : 'boolean', value : false,
        description: 'Install systemd system service file')
@@ -24,3 +27,5 @@
        description : 'Directory for user systemd units')
 option('glib-supp', type : 'string', value : '',
        description: 'The glib.supp valgrind suppressions file to be used when running valgrind')
+option('tests', type : 'boolean', value : 'true',
+       description : 'Build the test suite')

=== debian/changelog ===
wireplumber (0.4.8-4) unstable; urgency=medium

  * Team upload
  * d/p/si-audio-adapter-relax-format-parsing.patch:
    Add patch from upstream to fix interop with Pipewire 0.3.48
    (Closes: #1007100)

 -- Simon McVittie <smcv@debian.org>  Fri, 11 Mar 2022 10:26:20 +0000

wireplumber (0.4.8-3) unstable; urgency=medium

  * Team upload.
  * Add stricter dependency between wireplumber and libwireplumber-0.4-0
  * Mark gir1.2-wp-0.4 as Multi-Arch: same

 -- Dylan Aïssi <daissi@debian.org>  Wed, 16 Feb 2022 16:33:32 +0100

wireplumber (0.4.8-2) unstable; urgency=medium

  * Team upload.
  * Add an upstream patch to fix va_list APIs for different architectures

 -- Dylan Aïssi <daissi@debian.org>  Wed, 09 Feb 2022 18:09:12 +0100

wireplumber (0.4.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4.8
  * Install the upstream changelog file NEWS.rst (Closes: #1003836)
  * Update symbols file
  * Bump minimum pipewire to 0.3.45

 -- Dylan Aïssi <daissi@debian.org>  Mon, 07 Feb 2022 23:21:05 +0100

wireplumber (0.4.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4.7

 -- Dylan Aïssi <daissi@debian.org>  Thu, 13 Jan 2022 11:06:07 +0100

wireplumber (0.4.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4.6
  * Simplify debian/watch file
  * Bump minimum pipewire to 0.3.43
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Mon, 10 Jan 2022 17:08:47 +0100

wireplumber (0.4.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4.5
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Wed, 17 Nov 2021 20:34:51 +0100

wireplumber (0.4.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4.4
  * Update symbols file
  * Bump meson version requirement to 0.56

 -- Dylan Aïssi <daissi@debian.org>  Mon, 18 Oct 2021 11:16:15 +0200

wireplumber (0.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4.3
  * Drop patches included in upstream release:
    - add_basic_check_for_nil_monitor.patch
    - fix_object_constructors_to_fail_gracefully.patch
  * Update symbols file
  * Add libsystemd-dev to Build-Depends

 -- Dylan Aïssi <daissi@debian.org>  Fri, 08 Oct 2021 15:57:11 +0200

wireplumber (0.4.2-5) unstable; urgency=medium

  * Add upstream patches to prevent a failure to start when
     the SPA plugin is not available (Closes: #994085)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 15 Sep 2021 16:04:57 +0200

wireplumber (0.4.2-4) unstable; urgency=medium

  * Team upload.
  * Wireplumber is ready for an upload to unstable.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 01 Sep 2021 11:04:02 +0200

wireplumber (0.4.2-3) experimental; urgency=medium

  * Team upload.
  * Really remove previous conffiles (Closes: #992604)
  * Standards-Version: 4.6.0 (no changes needed)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 27 Aug 2021 15:44:46 +0200

wireplumber (0.4.2-2) experimental; urgency=medium

  * Team upload.
  * Remove conffiles that moved to /usr/share/wireplumber/ (Closes: #992604)
  * Add missing lowest required PipeWire version in d/control.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 24 Aug 2021 12:16:33 +0200

wireplumber (0.4.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 0.4.2
  * Conf files are now in /usr/share/wireplumber/ instead of /etc/wireplumber/
  * Update symbols file
  * Bump required PipeWire version to 0.3.32

 -- Dylan Aïssi <daissi@debian.org>  Fri, 20 Aug 2021 11:26:29 +0200

wireplumber (0.4.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 0.4.1
  * Bump GLib requirement to 2.62
  * Relaxe doxygen requirement to 1.8

 -- Dylan Aïssi <daissi@debian.org>  Thu, 22 Jul 2021 10:16:45 +0200

wireplumber (0.4.0-1) experimental; urgency=medium

  * Team upload.

  [ Frederic Danis ]
  * New upstream version 0.3.96
  * debian: Stop disabling doc and force gobject-introspection
  * d/patches: Remove merged patches
  * d/control: Add recommends of pipewire-pulse
  * debian: Update libwireplumber-0.4 symbols
  * d/patches: meson: force the gir target to depend on wp-gtkdoc.h

  [ Dylan Aïssi ]
  * New upstream version 0.4.0
  * Remove d/p/meson-force-the-gir-target-to-depend-on-wp-gtkdoc.h.patch,
      applied upstream.
  * Update symbols file
  * Add a versioned dependency for gir1.2-wp-0.4

 -- Dylan Aïssi <daissi@debian.org>  Wed, 16 Jun 2021 12:09:12 +0200

wireplumber (0.3.95-1) experimental; urgency=medium

  [ Frederic Danis ]
  * Initial release (Closes: #988143)

  [ Sjoerd Simons ]
  * Upload to experimental

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 18 May 2021 22:02:27 +0200

=== debian/control ===
Source: wireplumber
Section: libs
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
Uploaders: Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper-compat (= 13),
               doxygen (>= 1.8.0),
               gobject-introspection,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.62),
               liblua5.3-dev,
               libpipewire-0.3-dev (>= 0.3.45),
               libspa-0.2-dev,
               libsystemd-dev,
               meson (>= 0.56.0),
               pkg-config (>= 0.22),
               python3-lxml,
               systemd,
# Only used for automated tests
               dbus <!nocheck>,
               pipewire (>= 0.3.45) <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://gitlab.freedesktop.org/pipewire/wireplumber
Vcs-Browser: https://salsa.debian.org/utopia-team/wireplumber
Vcs-Git: https://salsa.debian.org/utopia-team/wireplumber.git
Rules-Requires-Root: no

Package: libwireplumber-0.4-0
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Shared libraries for WirePlumber
 WirePlumber is a modular session / policy manager for PipeWire and a
 GObject-based high-level library that wraps PipeWire's API, providing
 convenience for writing the daemon's modules as well as external tools for
 managing PipeWire.
 .
 This package contains the shared library and plugins.

Package: libwireplumber-0.4-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         libwireplumber-0.4-0 (= ${binary:Version}),
         gir1.2-wp-0.4 (= ${binary:Version}),
Description: Development files for WirePlumber
 WirePlumber is a modular session / policy manager for PipeWire and a
 GObject-based high-level library that wraps PipeWire's API, providing
 convenience for writing the daemon's modules as well as external tools for
 managing PipeWire.
 .
 This package contains the development files.

Package: wireplumber
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libwireplumber-0.4-0 (= ${binary:Version}),
         pipewire (>= 0.3.45),
Recommends: pipewire-pulse
Section: video
Description: modular session / policy manager for PipeWire
 WirePlumber is a modular session / policy manager for PipeWire and a
 GObject-based high-level library that wraps PipeWire's API, providing
 convenience for writing the daemon's modules as well as external tools for
 managing PipeWire.
 .
 This package contains the WirePlumber daemon and command-line utilities.

Package: gir1.2-wp-0.4
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends},
         libwireplumber-0.4-0 (= ${binary:Version}),
Description: GObject introspection files for WirePlumber
 WirePlumber is a modular session / policy manager for PipeWire and a
 GObject-based high-level library that wraps PipeWire's API, providing
 convenience for writing the daemon's modules as well as external tools for
 managing PipeWire.
 .
 This package contains the GObject-introspection data in binary typelib format.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- -Dsystem-lua=true -Dintrospection=enabled

override_dh_installchangelogs:
	dh_installchangelogs NEWS.rst

=== debian/watch ===
version=4
https://gitlab.freedesktop.org/pipewire/wireplumber/tags?sort=updated_desc \
 archive/@ANY_VERSION@/wireplumber-\d\S*@ARCHIVE_EXT@

## wireplumber 0.4.11

=== debian/changelog ===
wireplumber (0.4.11-5.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Wed, 21 Sep 2022 16:06:28 +0300

wireplumber (0.4.11-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on doxygen and pkg-config.

  [ Dylan Aïssi ]
  * Clarify relation between wireplumber and libspa-0.2-bluetooth
     in wireplumber.README.Debian (Closes: #997862)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 14 Sep 2022 16:20:52 +0200

wireplumber (0.4.11-4) unstable; urgency=medium

  * Build a new package wireplumber-doc (Closes: #1019285)
  * Add patch removing service alias. This alias is only used to prevent
    wireplumber and pipewire-media-session from being enabled at the same time.
    This is already handled at the package level with a conflict between both,
    thus we can safetly remove alias and avoid the issue with systemd.
    (Closes: #997818)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 12 Sep 2022 09:30:40 +0200

wireplumber (0.4.11-3) unstable; urgency=medium

  * Cherry-pick upstream recommended patches:
      - 37c839b9: policy-node: fix potential rescan loop
      - 370b6929: m-si-link: don't wait for establish before activation + cleanup links
     (Closes: #1017397)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 05 Sep 2022 11:16:08 +0200

wireplumber (0.4.11-2) unstable; urgency=medium

  * Cherry-pick upstream recommended patches:
      - eb406bdb: dbus: fix crash when trying to reconnect (Closes: #1016104)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 27 Jul 2022 13:45:30 +0200

wireplumber (0.4.11-1) unstable; urgency=medium

  * New upstream version
  * Update symbols file
  * Bump minimum pipewire to 0.3.52
  * Add an upstream patch fixing issue with VMs

 -- Dylan Aïssi <daissi@debian.org>  Fri, 08 Jul 2022 14:20:54 +0200

wireplumber (0.4.10-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Sebastien Bacher ]
  * debian/tests:
    - add a basic build autopkgtest for the library
  * debian/control:
    - libwireplumber-0.4-dev depends on libglib2.0-dev and libpipewire-0.3-dev,
      those are required by the .pc
      (Closes: #1011340)

  [ Dylan Aïssi ]
  * Add Conflicts and Replaces for pipewire-media-session
  * Add Suggests for libspa-0.2-bluetooth
  * Add myself in Uploaders
  * Remove useless .dirs files
  * Standards-Version: 4.6.1 (no changes needed)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 31 May 2022 22:14:51 +0200

wireplumber (0.4.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Install new i18n files
  * Update symbols file
  * Bump meson version requirement to 0.59
  * Update copyright file

 -- Dylan Aïssi <daissi@debian.org>  Wed, 11 May 2022 14:01:51 +0200

wireplumber (0.4.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4.9
  * Drop patches included in upstream release:
    - fix_va_list_APIs_for_different_arches.patch
    - si-audio-adapter-relax-format-parsing.patch
  * Bump minimum pipewire to 0.3.48
  * Update symbols file
  * Simplify debian/salsa-ci.yml

 -- Dylan Aïssi <daissi@debian.org>  Wed, 23 Mar 2022 10:03:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,27 @@
 Section: libs
 Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
-Uploaders: Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Sjoerd Simons <sjoerd@debian.org>,
+           Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               doxygen (>= 1.8.0),
+               doxygen,
                gobject-introspection,
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.62),
                liblua5.3-dev,
-               libpipewire-0.3-dev (>= 0.3.45),
+               libpipewire-0.3-dev (>= 0.3.52),
                libspa-0.2-dev,
-               libsystemd-dev,
-               meson (>= 0.56.0),
-               pkg-config (>= 0.22),
+               meson (>= 0.59.0),
+               pkg-config,
                python3-lxml,
-               systemd,
 # Only used for automated tests
                dbus <!nocheck>,
-               pipewire (>= 0.3.45) <!nocheck>,
-Standards-Version: 4.6.0
+               pipewire (>= 0.3.52) <!nocheck>,
+# Only to generate the documentation
+               python3-breathe <!nodoc>,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
+Standards-Version: 4.6.1
 Homepage: https://gitlab.freedesktop.org/pipewire/wireplumber
 Vcs-Browser: https://salsa.debian.org/utopia-team/wireplumber
 Vcs-Git: https://salsa.debian.org/utopia-team/wireplumber.git
@@ -43,8 +46,11 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
+         libglib2.0-dev,
+         libpipewire-0.3-dev,
          libwireplumber-0.4-0 (= ${binary:Version}),
          gir1.2-wp-0.4 (= ${binary:Version}),
+Suggests: wireplumber-doc
 Description: Development files for WirePlumber
  WirePlumber is a modular session / policy manager for PipeWire and a
  GObject-based high-level library that wraps PipeWire's API, providing
@@ -58,8 +64,12 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libwireplumber-0.4-0 (= ${binary:Version}),
-         pipewire (>= 0.3.45),
+         pipewire (>= 0.3.52),
 Recommends: pipewire-pulse
+Suggests: libspa-0.2-bluetooth,
+          wireplumber-doc
+Conflicts: pipewire-media-session
+Replaces: pipewire-media-session
 Section: video
 Description: modular session / policy manager for PipeWire
  WirePlumber is a modular session / policy manager for PipeWire and a
@@ -68,6 +78,20 @@
  managing PipeWire.
  .
  This package contains the WirePlumber daemon and command-line utilities.
+
+Package: wireplumber-doc
+Section: doc
+Build-Profiles: <!nodoc>
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Description: modular session / policy manager for PipeWire - documentation
+ WirePlumber is a modular session / policy manager for PipeWire and a
+ GObject-based high-level library that wraps PipeWire's API, providing
+ convenience for writing the daemon's modules as well as external tools for
+ managing PipeWire.
+ .
+ This package contains the WirePlumber documentation.
 
 Package: gir1.2-wp-0.4
 Section: introspection

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
DOC=disabled
else
DOC=enabled
endif

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dsystem-lua=true \
		-Dintrospection=enabled \
		-Ddoc=$(DOC) \
		$(NULL)

override_dh_installchangelogs:
	dh_installchangelogs NEWS.rst

## wireplumber 0.4.12

=== debian/changelog ===
wireplumber (0.4.12-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 19 Oct 2022 16:04:43 -0700

wireplumber (0.4.12-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 10 Oct 2022 09:31:53 +0200

wireplumber (0.4.12-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * New upstream version
  * Drop patches included in upstream release:
      - fix_variable_name.patch
      - eb406bdb: dbus: fix crash when trying to reconnect
      - 37c839b9: policy-node: fix potential rescan loop
      - 370b6929: m-si-link: don't wait for establish before activation
  * Update symbols file

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 05 Oct 2022 09:16:57 +0200

wireplumber (0.4.11-5~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 30 Sep 2022 11:57:40 +0200

wireplumber (0.4.11-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 08 Sep 2022 12:13:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: wireplumber
 Section: libs
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
-Uploaders: Sjoerd Simons <sjoerd@debian.org>,
-           Dylan Aïssi <daissi@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
+Uploaders: Sjoerd Simons <sjoerd@debian.org>, Dylan Aïssi <daissi@debian.org>
+Build-Depends: dbus <!nocheck>,
+               debhelper-compat (= 13),
                doxygen,
                gobject-introspection,
                libgirepository1.0-dev,
@@ -12,16 +13,15 @@
                liblua5.3-dev,
                libpipewire-0.3-dev (>= 0.3.52),
                libspa-0.2-dev,
+               libsystemd-dev,
                meson (>= 0.59.0),
+               pipewire (>= 0.3.52) <!nocheck>,
                pkg-config,
+               python3-breathe <!nodoc>,
                python3-lxml,
-# Only used for automated tests
-               dbus <!nocheck>,
-               pipewire (>= 0.3.52) <!nocheck>,
-# Only to generate the documentation
-               python3-breathe <!nodoc>,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
+               systemd
 Standards-Version: 4.6.1
 Homepage: https://gitlab.freedesktop.org/pipewire/wireplumber
 Vcs-Browser: https://salsa.debian.org/utopia-team/wireplumber
@@ -31,8 +31,7 @@
 Package: libwireplumber-0.4-0
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Shared libraries for WirePlumber
  WirePlumber is a modular session / policy manager for PipeWire and a
  GObject-based high-level library that wraps PipeWire's API, providing
@@ -45,11 +44,11 @@
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: gir1.2-wp-0.4 (= ${binary:Version}),
          libglib2.0-dev,
          libpipewire-0.3-dev,
          libwireplumber-0.4-0 (= ${binary:Version}),
-         gir1.2-wp-0.4 (= ${binary:Version}),
+         ${misc:Depends}
 Suggests: wireplumber-doc
 Description: Development files for WirePlumber
  WirePlumber is a modular session / policy manager for PipeWire and a
@@ -61,13 +60,12 @@
 
 Package: wireplumber
 Architecture: linux-any
-Depends: ${shlibs:Depends},
+Depends: libwireplumber-0.4-0 (= ${binary:Version}),
+         pipewire (>= 0.3.52),
          ${misc:Depends},
-         libwireplumber-0.4-0 (= ${binary:Version}),
-         pipewire (>= 0.3.52),
-Recommends: pipewire-pulse
-Suggests: libspa-0.2-bluetooth,
-          wireplumber-doc
+         ${shlibs:Depends},
+         pipewire-pulse
+Suggests: libspa-0.2-bluetooth, wireplumber-doc
 Conflicts: pipewire-media-session
 Replaces: pipewire-media-session
 Section: video
@@ -97,9 +95,9 @@
 Section: introspection
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: libwireplumber-0.4-0 (= ${binary:Version}),
          ${gir:Depends},
-         libwireplumber-0.4-0 (= ${binary:Version}),
+         ${misc:Depends}
 Description: GObject introspection files for WirePlumber
  WirePlumber is a modular session / policy manager for PipeWire and a
  GObject-based high-level library that wraps PipeWire's API, providing

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,7 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS.rst
+
+# No dbgsym package:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## wireplumber 0.4.13

=== debian/changelog ===
wireplumber (0.4.13-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 20 Dec 2022 18:36:10 -0800

wireplumber (0.4.13-1) unstable; urgency=medium

  * New upstream version
  * Set build options in debian/rules, to be sure they are correct

 -- Dylan Aïssi <daissi@debian.org>  Wed, 14 Dec 2022 10:35:15 +0100

=== debian/control ===
--- 
+++ 
@@ -63,8 +63,8 @@
 Depends: libwireplumber-0.4-0 (= ${binary:Version}),
          pipewire (>= 0.3.52),
          ${misc:Depends},
-         ${shlibs:Depends},
-         pipewire-pulse
+         ${shlibs:Depends}
+Recommends: pipewire-pulse
 Suggests: libspa-0.2-bluetooth, wireplumber-doc
 Conflicts: pipewire-media-session
 Replaces: pipewire-media-session

=== debian/rules ===
--- 
+++ 
@@ -14,14 +14,21 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Dsystem-lua=true \
 		-Dintrospection=enabled \
 		-Ddoc=$(DOC) \
+		-Dmodules=true \
+		-Ddaemon=true \
+		-Dtools=true \
+		-Dsystem-lua=true \
+		-Dsystemd=enabled \
+		-Dsystemd-user-service=true \
+		-Dtests=true \
+		-Ddbus-tests=true \
 		$(NULL)
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS.rst
 
-# No dbgsym package:
+# No dbgsym packages:
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym

## wireplumber 0.4.14

=== debian/changelog ===
wireplumber (0.4.14-4~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 23 Aug 2023 18:13:54 -0700

wireplumber (0.4.14-4~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 24 Jul 2023 09:47:54 +0200

wireplumber (0.4.14-4) unstable; urgency=medium

  * Wireplumber depends on 'default-dbus-session-bus | dbus-session-bus'
      instead of dbus-user-session (Closes: #1040513)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 07 Jul 2023 10:40:06 +0200

wireplumber (0.4.14-3) unstable; urgency=medium

  * Wireplumber depends on dbus-user-session (Closes: #1037513)
  * Wireplumber suggests libspa-0.2-libcamera (Closes: #1037941)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 03 Jul 2023 10:18:13 +0200

wireplumber (0.4.14-2) unstable; urgency=medium

  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Mon, 12 Jun 2023 11:43:17 +0200

wireplumber (0.4.14-1) experimental; urgency=medium

  * New upstream version
  * Install NEWS.rst only in the main wireplumber package (Closes: #1026099)
  * Standards-Version: 4.6.2 (no changes needed)
  * Upload to experimental because of the Bookworm freeze

 -- Dylan Aïssi <daissi@debian.org>  Thu, 09 Mar 2023 18:00:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,9 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
 Uploaders: Sjoerd Simons <sjoerd@debian.org>, Dylan Aïssi <daissi@debian.org>
-Build-Depends: dbus <!nocheck>,
+Build-Depends:
+# Only used for automated tests
+               dbus <!nocheck>,
                debhelper-compat (= 13),
                doxygen,
                gobject-introspection,
@@ -17,12 +19,13 @@
                meson (>= 0.59.0),
                pipewire (>= 0.3.52) <!nocheck>,
                pkg-config,
+# Only to generate the documentation
                python3-breathe <!nodoc>,
                python3-lxml,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                systemd
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://gitlab.freedesktop.org/pipewire/wireplumber
 Vcs-Browser: https://salsa.debian.org/utopia-team/wireplumber
 Vcs-Git: https://salsa.debian.org/utopia-team/wireplumber.git
@@ -60,12 +63,13 @@
 
 Package: wireplumber
 Architecture: linux-any
-Depends: libwireplumber-0.4-0 (= ${binary:Version}),
+Depends: default-dbus-session-bus | dbus-session-bus,
+         libwireplumber-0.4-0 (= ${binary:Version}),
          pipewire (>= 0.3.52),
          ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: pipewire-pulse
-Suggests: libspa-0.2-bluetooth, wireplumber-doc
+         ${shlibs:Depends},
+         pipewire-pulse
+Suggests: libspa-0.2-bluetooth, libspa-0.2-libcamera, wireplumber-doc
 Conflicts: pipewire-media-session
 Replaces: pipewire-media-session
 Section: video

## wireplumber 0.4.15

=== debian/changelog ===
wireplumber (0.4.15-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind

 -- anticapitalista <antix@operamail.com>  Fri, 13 Oct 2023 23:20:00 +0300

wireplumber (0.4.15-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * New upstream version
  * Install zsh completions file
  * Update symbols file

  [ Lena Voytek ]
  * d/control: Upgrade lua build dependency to 5.4

 -- Dylan Aïssi <daissi@debian.org>  Fri, 13 Oct 2023 12:06:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,27 @@
 Source: wireplumber
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
-Uploaders: Sjoerd Simons <sjoerd@debian.org>, Dylan Aïssi <daissi@debian.org>
-Build-Depends:
-# Only used for automated tests
-               dbus <!nocheck>,
-               debhelper-compat (= 13),
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
+Uploaders: Sjoerd Simons <sjoerd@debian.org>,
+           Dylan Aïssi <daissi@debian.org>
+Build-Depends: debhelper-compat (= 13),
                doxygen,
                gobject-introspection,
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.62),
-               liblua5.3-dev,
+               liblua5.4-dev,
                libpipewire-0.3-dev (>= 0.3.52),
                libspa-0.2-dev,
-               libsystemd-dev,
                meson (>= 0.59.0),
+               pkg-config,
+               python3-lxml,
+# Only used for automated tests
+               dbus <!nocheck>,
                pipewire (>= 0.3.52) <!nocheck>,
-               pkg-config,
 # Only to generate the documentation
                python3-breathe <!nodoc>,
-               python3-lxml,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-               systemd
 Standards-Version: 4.6.2
 Homepage: https://gitlab.freedesktop.org/pipewire/wireplumber
 Vcs-Browser: https://salsa.debian.org/utopia-team/wireplumber
@@ -34,7 +31,8 @@
 Package: libwireplumber-0.4-0
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Shared libraries for WirePlumber
  WirePlumber is a modular session / policy manager for PipeWire and a
  GObject-based high-level library that wraps PipeWire's API, providing
@@ -47,11 +45,11 @@
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: gir1.2-wp-0.4 (= ${binary:Version}),
+Depends: ${misc:Depends},
          libglib2.0-dev,
          libpipewire-0.3-dev,
          libwireplumber-0.4-0 (= ${binary:Version}),
-         ${misc:Depends}
+         gir1.2-wp-0.4 (= ${binary:Version}),
 Suggests: wireplumber-doc
 Description: Development files for WirePlumber
  WirePlumber is a modular session / policy manager for PipeWire and a
@@ -63,13 +61,14 @@
 
 Package: wireplumber
 Architecture: linux-any
-Depends: default-dbus-session-bus | dbus-session-bus,
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
          libwireplumber-0.4-0 (= ${binary:Version}),
          pipewire (>= 0.3.52),
-         ${misc:Depends},
-         ${shlibs:Depends},
-         pipewire-pulse
-Suggests: libspa-0.2-bluetooth, libspa-0.2-libcamera, wireplumber-doc
+Recommends: pipewire-pulse
+Suggests: libspa-0.2-bluetooth,
+          libspa-0.2-libcamera,
+          wireplumber-doc
 Conflicts: pipewire-media-session
 Replaces: pipewire-media-session
 Section: video
@@ -99,9 +98,9 @@
 Section: introspection
 Architecture: linux-any
 Multi-Arch: same
-Depends: libwireplumber-0.4-0 (= ${binary:Version}),
+Depends: ${misc:Depends},
          ${gir:Depends},
-         ${misc:Depends}
+         libwireplumber-0.4-0 (= ${binary:Version}),
 Description: GObject introspection files for WirePlumber
  WirePlumber is a modular session / policy manager for PipeWire and a
  GObject-based high-level library that wraps PipeWire's API, providing

=== debian/rules ===
--- 
+++ 
@@ -20,15 +20,6 @@
 		-Ddaemon=true \
 		-Dtools=true \
 		-Dsystem-lua=true \
-		-Dsystemd=enabled \
-		-Dsystemd-user-service=true \
 		-Dtests=true \
 		-Ddbus-tests=true \
 		$(NULL)
-
-override_dh_installchangelogs:
-	dh_installchangelogs NEWS.rst
-
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## wireplumber 0.4.16

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,30 @@
 Source: wireplumber
 Section: libs
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
-Uploaders: Sjoerd Simons <sjoerd@debian.org>,
-           Dylan Aïssi <daissi@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
+Uploaders: Sjoerd Simons <sjoerd@debian.org>, Dylan Aïssi <daissi@debian.org>
+Build-Depends:
+# Only used for automated tests
+               dbus <!nocheck>,
+               debhelper-compat (= 13),
                doxygen,
                gobject-introspection,
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.62),
                liblua5.4-dev,
-               libpipewire-0.3-dev (>= 0.3.52),
+               libpipewire-0.3-dev (>= 0.3.68),
                libspa-0.2-dev,
+               libsystemd-dev,
                meson (>= 0.59.0),
+               pipewire (>= 0.3.68) <!nocheck>,
                pkg-config,
-               python3-lxml,
-# Only used for automated tests
-               dbus <!nocheck>,
-               pipewire (>= 0.3.52) <!nocheck>,
 # Only to generate the documentation
                python3-breathe <!nodoc>,
+               python3-lxml,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
+               systemd
 Standards-Version: 4.6.2
 Homepage: https://gitlab.freedesktop.org/pipewire/wireplumber
 Vcs-Browser: https://salsa.debian.org/utopia-team/wireplumber
@@ -31,8 +34,7 @@
 Package: libwireplumber-0.4-0
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Shared libraries for WirePlumber
  WirePlumber is a modular session / policy manager for PipeWire and a
  GObject-based high-level library that wraps PipeWire's API, providing
@@ -45,11 +47,13 @@
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: gir1.2-wp-0.4 (= ${binary:Version}),
          libglib2.0-dev,
          libpipewire-0.3-dev,
          libwireplumber-0.4-0 (= ${binary:Version}),
-         gir1.2-wp-0.4 (= ${binary:Version}),
+         ${gir:Depends},
+         ${misc:Depends}
+Provides: ${gir:Provides}
 Suggests: wireplumber-doc
 Description: Development files for WirePlumber
  WirePlumber is a modular session / policy manager for PipeWire and a
@@ -61,14 +65,13 @@
 
 Package: wireplumber
 Architecture: linux-any
-Depends: ${shlibs:Depends},
+Depends: default-dbus-session-bus | dbus-session-bus,
+         libwireplumber-0.4-0 (= ${binary:Version}),
+         pipewire (>= 0.3.68),
          ${misc:Depends},
-         libwireplumber-0.4-0 (= ${binary:Version}),
-         pipewire (>= 0.3.52),
+         ${shlibs:Depends}
 Recommends: pipewire-pulse
-Suggests: libspa-0.2-bluetooth,
-          libspa-0.2-libcamera,
-          wireplumber-doc
+Suggests: libspa-0.2-bluetooth, libspa-0.2-libcamera, wireplumber-doc
 Conflicts: pipewire-media-session
 Replaces: pipewire-media-session
 Section: video
@@ -98,9 +101,10 @@
 Section: introspection
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: libwireplumber-0.4-0 (= ${binary:Version}),
          ${gir:Depends},
-         libwireplumber-0.4-0 (= ${binary:Version}),
+         ${misc:Depends}
+Provides: ${gir:Provides}
 Description: GObject introspection files for WirePlumber
  WirePlumber is a modular session / policy manager for PipeWire and a
  GObject-based high-level library that wraps PipeWire's API, providing

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,12 @@
 		-Ddaemon=true \
 		-Dtools=true \
 		-Dsystem-lua=true \
+		-Dsystemd=enabled \
+		-Dsystemd-user-service=true \
 		-Dtests=true \
 		-Ddbus-tests=true \
 		$(NULL)
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

=== debian/tests/control ===
Tests: build
Depends: build-essential, libwireplumber-0.4-dev, pkg-config
Restrictions: superficial

## wireplumber 0.4.17

=== debian/changelog ===
wireplumber (0.4.17-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:33:26 +0000

wireplumber (0.4.17-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:56:21 +0000

wireplumber (0.4.17-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 08:05:21 +0000

wireplumber (0.4.17-1ubuntu1) noble; urgency=medium

  * Add patch to add support for snap permissions (LP: #1995707)

 -- Sergio Costas <sergio.costas@canonical.com>  Wed, 24 Jan 2024 12:54:23 -0500

wireplumber (0.4.17-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Mon, 04 Dec 2023 10:18:53 +0100

wireplumber (0.4.16-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * New upstream version
  * Drop patch included in upstream release:
      - policy-dsp: add ability to hide parent nodes
  * Bump minimum pipewire to 0.3.68
  * Update symbols file

  [ Andreas Henriksson ]
  * Use ${gir:Depends} and ${gir:Provides}

 -- Dylan Aïssi <daissi@debian.org>  Wed, 22 Nov 2023 17:59:06 +0100

wireplumber (0.4.15-2) unstable; urgency=medium

  * Team upload.
  * Cherry-pick upstream patch for ability to hide parent nodes

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 13 Nov 2023 18:14:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: wireplumber
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
-Uploaders: Sjoerd Simons <sjoerd@debian.org>, Dylan Aïssi <daissi@debian.org>
-Build-Depends:
-# Only used for automated tests
-               dbus <!nocheck>,
-               debhelper-compat (= 13),
+Uploaders: Sjoerd Simons <sjoerd@debian.org>,
+           Dylan Aïssi <daissi@debian.org>
+Build-Depends: debhelper-compat (= 13),
                doxygen,
                gobject-introspection,
                libgirepository1.0-dev,
@@ -17,14 +15,16 @@
                libspa-0.2-dev,
                libsystemd-dev,
                meson (>= 0.59.0),
+               pkg-config,
+               python3-lxml,
+               systemd,
+# Only used for automated tests
+               dbus <!nocheck>,
                pipewire (>= 0.3.68) <!nocheck>,
-               pkg-config,
 # Only to generate the documentation
                python3-breathe <!nodoc>,
-               python3-lxml,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-               systemd
 Standards-Version: 4.6.2
 Homepage: https://gitlab.freedesktop.org/pipewire/wireplumber
 Vcs-Browser: https://salsa.debian.org/utopia-team/wireplumber
@@ -34,7 +34,8 @@
 Package: libwireplumber-0.4-0
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Shared libraries for WirePlumber
  WirePlumber is a modular session / policy manager for PipeWire and a
  GObject-based high-level library that wraps PipeWire's API, providing
@@ -47,12 +48,12 @@
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: gir1.2-wp-0.4 (= ${binary:Version}),
+Depends: ${misc:Depends},
+         ${gir:Depends},
          libglib2.0-dev,
          libpipewire-0.3-dev,
          libwireplumber-0.4-0 (= ${binary:Version}),
-         ${gir:Depends},
-         ${misc:Depends}
+         gir1.2-wp-0.4 (= ${binary:Version}),
 Provides: ${gir:Provides}
 Suggests: wireplumber-doc
 Description: Development files for WirePlumber
@@ -65,13 +66,15 @@
 
 Package: wireplumber
 Architecture: linux-any
-Depends: default-dbus-session-bus | dbus-session-bus,
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         default-dbus-session-bus | dbus-session-bus,
          libwireplumber-0.4-0 (= ${binary:Version}),
          pipewire (>= 0.3.68),
-         ${misc:Depends},
-         ${shlibs:Depends}
 Recommends: pipewire-pulse
-Suggests: libspa-0.2-bluetooth, libspa-0.2-libcamera, wireplumber-doc
+Suggests: libspa-0.2-bluetooth,
+          libspa-0.2-libcamera,
+          wireplumber-doc
 Conflicts: pipewire-media-session
 Replaces: pipewire-media-session
 Section: video
@@ -101,9 +104,9 @@
 Section: introspection
 Architecture: linux-any
 Multi-Arch: same
-Depends: libwireplumber-0.4-0 (= ${binary:Version}),
+Depends: ${misc:Depends},
          ${gir:Depends},
-         ${misc:Depends}
+         libwireplumber-0.4-0 (= ${binary:Version}),
 Provides: ${gir:Provides}
 Description: GObject introspection files for WirePlumber
  WirePlumber is a modular session / policy manager for PipeWire and a

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,3 @@
 		-Dtests=true \
 		-Ddbus-tests=true \
 		$(NULL)
-
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## wireplumber 0.5.2

=== debian/changelog ===
wireplumber (0.5.2-3~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Restore systemd as alternate BD.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 20 May 2024 22:52:42 -0700

wireplumber (0.5.2-3) unstable; urgency=medium

  * Fix debian/watch
  * Update tests dependencies: switch to libwireplumber-0.5-dev and pkgconf
  * Update debian/tests/build to use wireplumber-0.5

 -- Dylan Aïssi <daissi@debian.org>  Fri, 10 May 2024 11:57:30 +0200

wireplumber (0.5.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Mon, 06 May 2024 10:22:38 +0200

wireplumber (0.5.2-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (no changes needed)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 22 Apr 2024 18:25:04 +0200

wireplumber (0.5.1-1) experimental; urgency=medium

  * New upstream version
  * Add asahi-audio << 2.0 in Breaks, see #1067660
  * Add debian/NEWS to warn users about incompatible conf files

 -- Dylan Aïssi <daissi@debian.org>  Wed, 03 Apr 2024 10:45:11 +0200

wireplumber (0.5.0-1) experimental; urgency=medium

  * New upstream version
  * Update symbols file
  * Bump minimum pipewire to 1.0.2
  * Bump minimum glib to 2.68
  * Switch Build-Deps from systemd to systemd-dev (Closes: #1060497)
  * Drop useless comments in debian/control
  * Mark doxygen and python3-lxml as <!nodoc>
  * Use pkgconf instead of the transitional pkg-config
  * Update copyright file

 -- Dylan Aïssi <daissi@debian.org>  Mon, 18 Mar 2024 21:47:47 +0100

wireplumber (0.4.90-1) experimental; urgency=medium

  * New upstream version 0.4.90 (0.5.0 release candidate 1)
  * Don't install conf files in /usr/share/pipewire/, it was reverted upstream
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Wed, 06 Mar 2024 10:16:36 +0100

wireplumber (0.4.82-1) experimental; urgency=medium

  * New upstream version 0.4.82 (0.5.0 pre-release 2)
  * Update symbols file
  * Refresh Remove-privacy-breach-documentation.patch

 -- Dylan Aïssi <daissi@debian.org>  Thu, 15 Feb 2024 11:24:41 +0100

wireplumber (0.4.81-1) experimental; urgency=medium

  * New upstream version: This is a preliminary release of WirePlumber 0.5.0.
  * Install conf files in /usr/share/pipewire/
  * Bump SONAME to libwireplumber-0.5
  * Update symbols file
  * Refresh patches

 -- Dylan Aïssi <daissi@debian.org>  Fri, 05 Jan 2024 11:40:34 +0100

=== debian/control ===
Source: wireplumber
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
Uploaders: Sjoerd Simons <sjoerd@debian.org>, Dylan Aïssi <daissi@debian.org>
Build-Depends: dbus <!nocheck>,
               debhelper-compat (= 13),
               doxygen <!nodoc>,
               gobject-introspection,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.68),
               liblua5.4-dev,
               libpipewire-0.3-dev (>= 1.0.2),
               libspa-0.2-dev,
               libsystemd-dev,
               meson (>= 0.59.0),
               pipewire (>= 1.0.2) <!nocheck>,
               pkgconf,
               python3-breathe <!nodoc>,
               python3-lxml <!nodoc>,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               systemd-dev | systemd
Standards-Version: 4.7.0
Homepage: https://gitlab.freedesktop.org/pipewire/wireplumber
Vcs-Browser: https://salsa.debian.org/utopia-team/wireplumber
Vcs-Git: https://salsa.debian.org/utopia-team/wireplumber.git
Rules-Requires-Root: no

Package: libwireplumber-0.5-0
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Shared libraries for WirePlumber
 WirePlumber is a modular session / policy manager for PipeWire and a
 GObject-based high-level library that wraps PipeWire's API, providing
 convenience for writing the daemon's modules as well as external tools for
 managing PipeWire.
 .
 This package contains the shared library and plugins.

Package: libwireplumber-0.5-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: gir1.2-wp-0.5 (= ${binary:Version}),
         libglib2.0-dev,
         libpipewire-0.3-dev,
         libwireplumber-0.5-0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Suggests: wireplumber-doc
Description: Development files for WirePlumber
 WirePlumber is a modular session / policy manager for PipeWire and a
 GObject-based high-level library that wraps PipeWire's API, providing
 convenience for writing the daemon's modules as well as external tools for
 managing PipeWire.
 .
 This package contains the development files.

Package: wireplumber
Architecture: linux-any
Depends: default-dbus-session-bus | dbus-session-bus,
         libwireplumber-0.5-0 (= ${binary:Version}),
         pipewire (>= 1.0.2),
         ${misc:Depends},
         ${shlibs:Depends},
         pipewire-pulse
# Recommends: pipewire-pulse,
Suggests: libspa-0.2-bluetooth, libspa-0.2-libcamera, wireplumber-doc
Conflicts: pipewire-media-session
Replaces: pipewire-media-session
Breaks: asahi-audio (<< 2.0)
Section: video
Description: modular session / policy manager for PipeWire
 WirePlumber is a modular session / policy manager for PipeWire and a
 GObject-based high-level library that wraps PipeWire's API, providing
 convenience for writing the daemon's modules as well as external tools for
 managing PipeWire.
 .
 This package contains the WirePlumber daemon and command-line utilities.

Package: wireplumber-doc
Section: doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: modular session / policy manager for PipeWire - documentation
 WirePlumber is a modular session / policy manager for PipeWire and a
 GObject-based high-level library that wraps PipeWire's API, providing
 convenience for writing the daemon's modules as well as external tools for
 managing PipeWire.
 .
 This package contains the WirePlumber documentation.

Package: gir1.2-wp-0.5
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: libwireplumber-0.5-0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: GObject introspection files for WirePlumber
 WirePlumber is a modular session / policy manager for PipeWire and a
 GObject-based high-level library that wraps PipeWire's API, providing
 convenience for writing the daemon's modules as well as external tools for
 managing PipeWire.
 .
 This package contains the GObject-introspection data in binary typelib format.

=== debian/rules ===
--- 
+++ 
@@ -25,3 +25,8 @@
 		-Dtests=true \
 		-Ddbus-tests=true \
 		$(NULL)
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym

## wireplumber 0.5.3

=== debian/changelog ===
wireplumber (0.5.3-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Tue, 04 Jun 2024 15:27:02 +0300

wireplumber (0.5.3-1) unstable; urgency=medium

  * New upstream version
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Mon, 03 Jun 2024 10:09:48 +0200
